package errors

import (
	"fmt"
	"github.com/gogf/gf/errors/gerror"
	"testing"
)

func init()  {
	MustRegister(BizCode{
		C: 100001,
		M: "success",
	})
	MustRegister(BizCode{
		C: 100002,
		M: "参数错误",
	})
}
func Test(t *testing.T) {
	err := gerror.NewCode(New(1000, "", ""), "My Error")
	c := ParseCoder(err)
	fmt.Println(c.Message())
}
